Skip to main content
GET
/
api
/
documents
List documents
curl --request GET \
  --url https://api.example.com/api/documents \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "tags": [
      "<string>"
    ],
    "source_type": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

folder_id
string<uuid> | null

Filter by folder

limit
integer
default:50

Max documents to return

Required range: 1 <= x <= 100
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Successful Response

id
string<uuid>
required
title
string
required
tags
string[]
required
source_type
string
required
updated_at
string<date-time>
required
folder_id
string<uuid> | null